Share this page

# Java Recording options

Enables you to set the Java protocol recording options.

Item | Description
--- | ---
To access | Record > Recording Options > Recording Properties
Important information | This node is available only for specific protocols. For a complete list of protocols and their associated nodes, see Protocol compatibility table.

In this topic:

## Recorder options

User interface elements are described below:

UI Element | Description
--- | ---
Recorded Protocol | Specifies which protocol to record, For supported protocols, see Supported Java communication protocols. Default value: RMI.
Extensions List | A comma separated list of all supported extensions. Each extension has its own hooks file. Default value: JNDI.
Serialized objects representation | Use XML (Xstream) or Performance Engineering obsolete representation for serialized objects. XML representation is only supported for Java 8 and later.
Use DLL hooking to attach Performance Engineering support | Use DLL hooking to automatically attach OpenText Professional Performance Engineering support to any JVM.
Load parent class before class | Change the loading order so that parent classed are loaded before child classes. This helps identify hooking for trees with deep inheritance. Default value: enabled.
Use _JAVA_OPTIONS flag | Forces JVM to use the _JAVA_OPTION environment variable, which contains the required JVM parameters. Default value: disabled.
Record Performance Engineering Callback | Records the VuGen stub object as a callback. If disabled, VuGen records the original class as the callback. Default value: enabled.

Back to top

## Code generation options

The primary options are listed below:

UI Element | Description
--- | ---
Insert Functional Check | Inserts verification code that compares the return value received during replay, to the expected return value generated during recording. This option only applies to primitive return values. Default value: disabled.
Comment Lines Containing | Comment out all lines in the script containing one of the specified strings. To specify multiple strings, separate the entries with commas. Default value: Any line with a string containing <undefined> is commented out.
Remove Lines Containing | Remove all lines containing one of the specified strings from the script. To specify multiple strings, separate the entries with commas. This feature is useful for customizing the script for a specific testing goal.
Bytes as Characters | Displays readable characters as characters with the necessary casting—not in byte or hexadecimal form. Default value: enabled.
Unreadable Strings as Bytes | Represents strings containing unreadable characters as byte arrays. This option applies to strings that are passed as parameters to invocations. Default value: enabled.
Byte Array Format | The format of byte arrays in a script: Regular, Unfolded Serialized Objects, or Folded Serialized Objects. Use one of the serialized object options when recording very long byte arrays. Default value: Regular.
Search for loops | Search for loops and when possible, create a for loop.

Back to top

https://admhelp.microfocus.com VuGen,Professional Performance Engineering,Performance Engineering for Developers 8942
Tips to improve your search results... OpenText™ Virtual User Generator Help Center OpenText™ VuGen Help 26.1 All View Local Help Center View Online Help Center Version: